Bug 587131 - [abrt] crash in gedit-1:2.28.3-1.fc12: __init__.py:1488:__check_return:TypeCheckError: Return value: for None, expected <class 'GeditLaTeXPlugin.src.base.File'>, got <type 'NoneType'>
[abrt] crash in gedit-1:2.28.3-1.fc12: __init__.py:1488:__check_return:TypeCh...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:042eab89
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 22:03 EDT by Jaime RCZ
Modified: 2012-08-16 16:09 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2010-04-28 22:03 EDT, Jaime RCZ
no flags Details

  None (edit)
Description Jaime RCZ 2010-04-28 22:03:53 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: gedit
comment: Latex Plugin does not create a new Latex Document
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.32.11-99.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
reason: __init__.py:1488:__check_return:TypeCheckError: Return value: for None, expected <class 'GeditLaTeXPlugin.src.base.File'>, got <type 'NoneType'>
release: Fedora release 12 (Constantine)

backtrace
-----
__init__.py:1488:__check_return:TypeCheckError: Return value: for None, expected <class 'GeditLaTeXPlugin.src.base.File'>, got <type 'NoneType'>

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 657, in _on_load
    self._adjust_editor()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 714, in _adjust_editor
    editor_class.__init__(self._editor, self, file)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/__init__.py", line 403, in __init__
    self.init(file, self._window_context)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 113, in init
    self.__parse()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 309, in __parse
    master_file = self.__master_file
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/typecheck/__init__.py", line 1365, in fake_function
    return fake_function.__check_result(func, result)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/typecheck/__init__.py", line 1488, in __check_return
    raise TypeCheckError("Return value: ", return_vals, e)
TypeCheckError: Return value: for None, expected <class 'GeditLaTeXPlugin.src.base.File'>, got <type 'NoneType'>

Local variables in innermost frame:
sig_types: <class 'GeditLaTeXPlugin.src.base.File'>
return_vals: None
e: _TC_TypeError()
func: <function __master_file at 0x20bc1b8>

How to reproduce
-----
1. Create a new Latex Document
Comment 1 Jaime RCZ 2010-04-28 22:03:55 EDT
Created attachment 410003 [details]
File: backtrace
Comment 2 Pierre-Yves Luyten 2010-05-14 18:36:20 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open document ".tex"

Comment
-----
<snippets>
	<snippet active="True" id="1" label="figure" packages="graphicx">
\begin{figure}
	\includegraphics{${File}}
	\label{${Label}}
\end{figure}
	</snippet>
	<snippet active="True" id="2" label="environment" packages="">
\begin{${Environment}}
	$_
\end{${Environment}}
	</snippet>
</snippets>
Comment 3 mray271 2010-06-28 17:26:38 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.create empty file (e.g. touch expl.tex).  
2.gedit expl.tex 
3.gedit then asks to refer to a master file.
Pressing Cancel at this points causes the error.
Comment 4 DanielH1987 2010-07-25 21:13:24 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.tried to save a .tex
2.canceled to choose main-document
3.crash
Comment 5 Phil V 2010-07-29 04:03:35 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open a tex file that does not have a documentstyle
2. When the dialog box asks "Select Master Document", click cancel.
3.


Comment
-----
The file that would do this repeatedly is the main.tex generated from protex 's LitProg.tex
Comment 6 daibenshiri 2010-09-26 05:03:46 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. closing gedit(latex plugin)
2.
3.
Comment 7 Illya 2010-10-14 05:02:33 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Create new LaTeX-Document
2.
3.
Comment 8 daibenshiri 2010-10-17 04:18:40 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open .tex document with gedit (latex plugin 0.2)
2. 
3.
Comment 9 Bug Zapper 2010-11-03 12:04:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Phil V 2010-11-05 11:23:37 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crash was preceded by the .tex file becoming invisible in the source viewer, however pdflatex compilation still worked.
2. Closing texworks resulted in the crash


Comment
-----
Visit the same .tex file with texworks, gedit, and emacs-auctex.
(Each editor has their own strengths and weaknesses.)
compile pdflatex in texworks, and make dvi with source-specials in emacs-auctex. etc.

If changes are made in one editor, the others should detect a change, and prompt to revert to version on disk or continue with unsaved changes.

This shouldn't cause a crash.

If other files change or vanish each editor/viewer should handle this gracefully.
Comment 11 Phil V 2010-11-05 11:35:00 EDT
Jaime, Ray :

Please advance the Version from F12, to F13 or F14, 

and change the Title of the bug 
from:  gedit-1:2.28.3-1.fc12
to  :  gedit-1:2.30.2-1.fc13

Thank you!
Comment 12 Filipe Sousa 2010-11-17 18:57:54 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
I was editing a .tex file
Comment 13 Phil V 2010-11-17 23:59:06 EST
Hello, bugzapper is going to close this bug though it's still current. 
Should we create a new duplicate bug report?
Comment 14 Adam Williamson 2010-11-22 13:25:04 EST
bumpy



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Adam Williamson 2010-11-22 13:25:16 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Pierre-Yves Luyten 2010-11-22 13:43:40 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----



Comment
-----
Still happens here
Comment 17 Sebastián García 2010-11-25 12:09:00 EST
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
Comment 18 guignol 2010-12-29 04:18:32 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. editing a latex file (plugin installed)
2. writing "\end{abstract"
3. completion plugin suggested a wrong word (for my type mistake)
4. deleted that word
5. start rewrite
6. crash
Comment 19 alxbartel 2011-01-01 04:32:43 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Have the gedit latex plugin enabled
2. Open a .sty file in gedit.
2. When asked for a master file, choose "none".
Comment 20 Esteban Contreras-Vazquez 2011-01-05 02:18:17 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Trying to create a new latex document
2.
3.
Comment 21 Esteban Contreras-Vazquez 2011-01-08 01:46:46 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Trying to create  to save a latex document.
2.
3.
Comment 22 Christian Drescher 2011-01-15 07:07:58 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open latex document that is not the "Master Document", i.e., does not contain \documentclass etc.
2. When prompted to select the "Master Document", press "cancel".
Comment 23 Ondra Pelech 2011-01-23 16:05:04 EST
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. happened somehow when using the latex plugin
2.
3.
Comment 24 Alexander Volovics 2011-01-28 04:27:41 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.opening a small and incomplete 'tex' file
2.
3.


Comment
-----
I would have to attach the small 'tex' file.
But this is only one of continuous problems with the 'latex-plugin' for gedit.
Comment 25 Lukas Bezdicka 2011-02-16 14:22:03 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I was editing sample presentation in Beamer
Comment 26 aten 2011-09-26 19:38:32 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. opened tex document
2. gedit latex plugin has asked for a master tex file, I pressed Cansel
3. Gedit triggered abrtd, but remained functional.
Comment 27 Fedora End Of Life 2012-08-16 16:09:06 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.